/Users/bernard/b20/bsoft/src/rwmodel/rwmodel_cmm.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwmodel/rwmodel_cmm.cpp - Library routines to read and write Chimera marker model parameters.

SYNOPSIS

#include 'rwmodel.h'
#include 'file_util.h'
#include 'linked_list.h'
#include 'utilities.h'
#include <fstream>

  Classes
struct TagValue

  Functions
TagValue * tag_value_parse (char *string)
int tag_value_kill (TagValue *tv)
Bmodel * read_model_chimera (Bstring *file_list)
Reads Chimera marker model parameters.
int write_model_chimera (Bstring &filename, Bmodel *model)
Writes Chimera marker model parameters.

  Variables
int verbose

Detailed Description

Library routines to read and write Chimera marker model parameters.

Author:
    Bernard Heymann

Date:
    Created: 20060919

    Modified: 20161004

Definition in file rwmodel_cmm.cpp.

Function Documentation

  Bmodel* read_model_chimera (Bstring * file_list)

Reads Chimera marker model parameters.

Parameters:
    *file_list list of model parameter file names.

Returns:
    Bmodel* model parameters.

Definition at line 72 of file rwmodel_cmm.cpp.

  int tag_value_kill (TagValue * tv)

Definition at line 52 of file rwmodel_cmm.cpp.

  TagValue* tag_value_parse (char * string)

Definition at line 24 of file rwmodel_cmm.cpp.

  int write_model_chimera (Bstring & filename, Bmodel * model)

Writes Chimera marker model parameters.

Parameters:
    &filename model parameter file name.
    *model model parameters.

Returns:
    int models written.

Definition at line 198 of file rwmodel_cmm.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.